Bug 248538 - Amarok crashed after double-clicking on an album in local collection [@ LabelsApplet::engineNewTrackPlaying]
Summary: Amarok crashed after double-clicking on an album in local collection [@ Labe...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Labels (show other bugs)
Version: 2.3.1.90
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.3.2
Assignee: Amarok Developers
URL:
Keywords:
: 249329 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-08-20 20:27 UTC by Leonardo La Malfa
Modified: 2010-08-28 17:05 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.3.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Leonardo La Malfa 2010-08-20 20:27:02 UTC
Application: amarok (2.3.1.90)
KDE Platform Version: 4.5.00 (KDE 4.5.0)
Qt Version: 4.7.0
Operating System: Linux 2.6.32-24-generic i686
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:

I double-clicked on an album in my local collection to have it added to the empty playlist, and played immediately. But that crashed Amarok.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb76fa770 (LWP 7528))]

Thread 18 (Thread 0xb4d4eb70 (LWP 7530)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f342 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a60a34 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
#3  0x082dfce7 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 17 (Thread 0xb454db70 (LWP 7531)):
#0  0x00a60b91 in pthread_mutex_lock () from /lib/tls/i686/cmov/libc.so.6
#1  0x04d66b03 in IA__g_main_context_prepare (context=0x9c28438, priority=0xb454d0cc) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2282
#2  0x04d66ee9 in g_main_context_iterate (context=0x9c28438, block=<value optimized out>, dispatch=1, self=0x9c920b0) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2571
#3  0x04d674b8 in IA__g_main_context_iteration (context=0x9c28438, may_block=1) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2654
#4  0x0053b1cf in QEventDispatcherGlib::processEvents (this=0x9b69c80, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#5  0x0050b419 in QEventLoop::processEvents (this=0xb454d220, flags=) at kernel/qeventloop.cpp:149
#6  0x0050b89a in QEventLoop::exec (this=0xb454d220, flags=...) at kernel/qeventloop.cpp:201
#7  0x00408b5e in QThread::exec (this=0x9c2c498) at thread/qthread.cpp:490
#8  0x027bf81a in Phonon::Xine::XineThread::run (this=0x9c2c498) at ../../xine/xinethread.cpp:143
#9  0x0040be39 in QThreadPrivate::start (arg=0x9c2c498) at thread/qthread_unix.cpp:266
#10 0x0034a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#11 0x00a53a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 16 (Thread 0xb3d4cb70 (LWP 7534)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x00a45b86 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x025f8a8f in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 15 (Thread 0xb3509b70 (LWP 7535)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x082f09ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 14 (Thread 0xb2cc6b70 (LWP 7536)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x082f09ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 13 (Thread 0xb2483b70 (LWP 7537)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x082f09ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 12 (Thread 0xb1588b70 (LWP 7542)):
#0  IA__g_main_context_check (context=0xa663b80, max_priority=2147483647, fds=0xa5f5728, n_fds=1) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2471
#1  0x04d670ce in g_main_context_iterate (context=0xa663b80, block=<value optimized out>, dispatch=1, self=0xa669148) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2588
#2  0x04d674b8 in IA__g_main_context_iteration (context=0xa663b80, may_block=1) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2654
#3  0x0053b1cf in QEventDispatcherGlib::processEvents (this=0xa648688, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#4  0x0050b419 in QEventLoop::processEvents (this=0xb1588230, flags=) at kernel/qeventloop.cpp:149
#5  0x0050b89a in QEventLoop::exec (this=0xb1588230, flags=...) at kernel/qeventloop.cpp:201
#6  0x00408b5e in QThread::exec (this=0xa6ddbc8) at thread/qthread.cpp:490
#7  0x004ea55b in QInotifyFileSystemWatcherEngine::run (this=0xa6ddbc8) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x0040be39 in QThreadPrivate::start (arg=0xa6ddbc8) at thread/qthread_unix.cpp:266
#9  0x0034a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x00a53a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xafe63b70 (LWP 7543)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0040ca07 in QWaitConditionPrivate::wait (this=0xa76dab8, mutex=0xa5fe070, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa76dab8, mutex=0xa5fe070, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00365890 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa76daa0, th=0xa776410) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0036903c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa65a350, th=0xa776410) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00364dbb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa76daa0, th=0xa776410) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00369132 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xa776410) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xa776410, previous=0xaebc870) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x003671be in ThreadWeaver::ThreadRunHelper::run (this=0xafe63294, parent=0xa76daa0, th=0xa776410) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x003678db in ThreadWeaver::Thread::run (this=0xa776410) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0040be39 in QThreadPrivate::start (arg=0xa776410) at thread/qthread_unix.cpp:266
#13 0x0034a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x00a53a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xaf65ab70 (LWP 7544)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x06a7251d in WTF::TCMalloc_PageHeap::scavengerThread (this=0x6f75680) at wtf/FastMalloc.cpp:2378
#4  0x06a72601 in WTF::TCMalloc_PageHeap::runScavengerThread (context=0x6f75680) at wtf/FastMalloc.cpp:1497
#5  0x0034a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x00a53a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xae926b70 (LWP 7545)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x00a4c971 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x083095cc in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 8 (Thread 0xae125b70 (LWP 7546)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0040ca07 in QWaitConditionPrivate::wait (this=0xa76dab8, mutex=0xa5fe070, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa76dab8, mutex=0xa5fe070, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00365890 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa76daa0, th=0xae281d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0036903c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa65a350, th=0xae281d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00364dbb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa76daa0, th=0xae281d0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00369132 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xae281d0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xae281d0, previous=0xb258d70) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x003671be in ThreadWeaver::ThreadRunHelper::run (this=0xae125294, parent=0xa76daa0, th=0xae281d0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x003678db in ThreadWeaver::Thread::run (this=0xae281d0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0040be39 in QThreadPrivate::start (arg=0xae281d0) at thread/qthread_unix.cpp:266
#13 0x0034a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x00a53a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xad123b70 (LWP 7549)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0040ca07 in QWaitConditionPrivate::wait (this=0xa76dab8, mutex=0xa5fe070, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa76dab8, mutex=0xa5fe070, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00365890 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa76daa0, th=0xa4b6ee0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0036903c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa65a350, th=0xa4b6ee0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00364dbb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa76daa0, th=0xa4b6ee0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00369132 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xa4b6ee0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xa4b6ee0, previous=0xb1d55c0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x003671be in ThreadWeaver::ThreadRunHelper::run (this=0xad123294, parent=0xa76daa0, th=0xa4b6ee0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0x003678db in ThreadWeaver::Thread::run (this=0xa4b6ee0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0x0040be39 in QThreadPrivate::start (arg=0xa4b6ee0) at thread/qthread_unix.cpp:266
#13 0x0034a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#14 0x00a53a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xac91ab70 (LWP 7550)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0369f437 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x379d1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0x0369f481 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x379d1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0x0034a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#6  0x00a53a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xa9397b70 (LWP 7552)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x0040ca07 in QWaitConditionPrivate::wait (this=0xa76dab8, mutex=0xa5fe070, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa76dab8, mutex=0xa5fe070, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0x00365890 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa76daa0, th=0xac72678) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0x0036903c in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa65a350, th=0xac72678) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0x00364dbb in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa76daa0, th=0xac72678) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0x00369132 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xac72678) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xac72678, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0x00369151 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xac72678) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xac72678, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0x00369151 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xac72678) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xac72678, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0x00369151 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xac72678) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xac72678, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0x00369151 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xac72678) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xac72678, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0x00369151 in ThreadWeaver::WorkingHardState::applyForWork (this=0xa65a350, th=0xac72678) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#19 0x00365d93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa76daa0, th=0xac72678, previous=0xb8cfed0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#20 0x003671be in ThreadWeaver::ThreadRunHelper::run (this=0xa9397294, parent=0xa76daa0, th=0xac72678) at ../../../threadweaver/Weaver/Thread.cpp:87
#21 0x003678db in ThreadWeaver::Thread::run (this=0xac72678) at ../../../threadweaver/Weaver/Thread.cpp:142
#22 0x0040be39 in QThreadPrivate::start (arg=0xac72678) at thread/qthread_unix.cpp:266
#23 0x0034a96e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#24 0x00a53a4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xa2c25b70 (LWP 7786)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x082e32aa in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 3 (Thread 0xa2257b70 (LWP 7787)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x082e32aa in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 2 (Thread 0xa1a56b70 (LWP 7788)):
#0  0x00242422 in __kernel_vsyscall ()
#1  0x0034f015 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x00a609dd in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
#3  0x082f39da in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb76fa770 (LWP 7528)):
[KCrash Handler]
#7  QGraphicsItemPrivate::q_func (this=0xe8243489, newVisible=true, explicitly=true, update=true) at graphicsview/qgraphicsitem_p.h:160
#8  QGraphicsItemPrivate::setVisibleHelper (this=0xe8243489, newVisible=true, explicitly=true, update=true) at graphicsview/qgraphicsitem.cpp:2227
#9  0x05625d28 in QGraphicsItem::setVisible (this=0x6a0036, visible=<value optimized out>) at graphicsview/qgraphicsitem.cpp:2403
#10 0x02e5ce24 in QGraphicsItem::show (this=0xa6d85a0) at /usr/include/qt4/QtGui/qgraphicsitem.h:215
#11 LabelsApplet::engineNewTrackPlaying (this=0xa6d85a0) at ../../../../../src/context/applets/labels/LabelsApplet.cpp:189
#12 0x040104e6 in Engine::EngineSubject::newTrackPlaying (this=0x9b860c0) at ../../../src/core/engine/EngineObserver.cpp:196
#13 0x0147789e in EngineController::slotNewTrackPlaying (this=0x9b860c0, source=...) at ../../src/EngineController.cpp:1073
#14 0x0147d33a in EngineController::qt_metacall (this=0x9b860c0, _c=QMetaObject::InvokeMetaMethod, _id=25, _a=0xbfe854e8) at ./EngineController.moc:158
#15 0x005126ca in QMetaObject::metacall (object=0x9b860c0, cl=9973748, idx=30, argv=0xbfe854e8) at kernel/qmetaobject.cpp:237
#16 0x00525455 in QMetaObject::activate (sender=0x9b87c40, m=0x8c39da8, local_signal_index=7, argv=0xbfe854e8) at kernel/qobject.cpp:3280
#17 0x08bfadd3 in Phonon::MediaObject::currentSourceChanged (this=0x9b87c40, _t1=...) at ./moc_mediaobject.cpp:234
#18 0x08bfcbe6 in Phonon::MediaObjectPrivate::_k_currentSourceChanged (this=0x9b842d8, source=...) at ../../phonon/mediaobject.cpp:446
#19 0x08bfd91d in Phonon::MediaObject::qt_metacall (this=0x9b87c40, _c=QMetaObject::InvokeMetaMethod, _id=22, _a=0xbfe85678) at ./moc_mediaobject.cpp:144
#20 0x005126ca in QMetaObject::metacall (object=0x9b87c40, cl=9973748, idx=26, argv=0xbfe85678) at kernel/qmetaobject.cpp:237
#21 0x00525455 in QMetaObject::activate (sender=0x9c29850, m=0x2810e60, local_signal_index=4, argv=0xbfe85678) at kernel/qobject.cpp:3280
#22 0x027deb03 in Phonon::Xine::MediaObject::currentSourceChanged (this=0x9c29850, _t1=...) at ./mediaobject.moc:215
#23 0x027e0e4c in Phonon::Xine::MediaObject::setSourceInternal (this=0x9c29850, source=..., how=Phonon::Xine::MediaObject::HardSwitch) at ../../xine/mediaobject.cpp:426
#24 0x027e1670 in Phonon::Xine::MediaObject::setSource (this=0x9c29850, source=...) at ../../xine/mediaobject.cpp:317
#25 0x08bfd19d in Phonon::MediaObject::setCurrentSource (this=0x9b87c40, newSource=...) at ../../phonon/mediaobject.cpp:260
#26 0x01479567 in EngineController::playUrl (this=0x9b860c0, url=..., offset=0) at ../../src/EngineController.cpp:489
#27 0x0147a0ca in EngineController::play (this=0x9b860c0, track=..., offset=0) at ../../src/EngineController.cpp:403
#28 0x0106ecb6 in Playlist::Actions::play (this=0xa28d3f8, trackid=6994113831930176917, now=true) at ../../src/playlist/PlaylistActions.cpp:232
#29 0x0106eeb4 in Playlist::Actions::play (this=0xa28d3f8, row=0) at ../../src/playlist/PlaylistActions.cpp:208
#30 0x0108119e in Playlist::Controller::insertOptioned (this=0xa298f88, list=..., options=<value optimized out>) at ../../src/playlist/PlaylistController.cpp:159
#31 0x00ffc784 in CollectionTreeView::playChildTracksSlot (this=0xac88cf8, list=...) at ../../src/browsers/CollectionTreeView.cpp:651
#32 0x01004c58 in CollectionTreeView::qt_metacall (this=0xac88cf8, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbfe85ce8) at ./CollectionTreeView.moc:107
#33 0x005126ca in QMetaObject::metacall (object=0xac88cf8, cl=9973748, idx=92, argv=0xbfe85ce8) at kernel/qmetaobject.cpp:237
#34 0x00525455 in QMetaObject::activate (sender=0xb8abee0, m=0x183f84c, local_signal_index=0, argv=0xbfe85ce8) at kernel/qobject.cpp:3280
#35 0x014556f3 in AmarokMimeData::trackListSignal (this=0xb8abee0, _t1=...) at ./AmarokMimeData.moc:95
#36 0x01456edf in AmarokMimeData::getTrackListSignal (this=0xb8abee0) at ../../src/AmarokMimeData.cpp:167
#37 0x01457123 in AmarokMimeData::qt_metacall (this=0xb8abee0, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xb3d01b0) at ./AmarokMimeData.moc:81
#38 0x005126ca in QMetaObject::metacall (object=0xb8abee0, cl=9973748, idx=5, argv=0xb3d01b0) at kernel/qmetaobject.cpp:237
#39 0x0051dbc6 in QMetaCallEvent::placeMetaCall (this=0xb3cf0e8, object=0xb8abee0) at kernel/qobject.cpp:534
#40 0x0051f462 in QObject::event (this=0xb8abee0, e=0x1) at kernel/qobject.cpp:1219
#41 0x04f840cc in QApplicationPrivate::notify_helper (this=0x9b06bd0, receiver=0xb8abee0, e=0xb3cf0e8) at kernel/qapplication.cpp:4389
#42 0x04f8a11e in QApplication::notify (this=0xbfe86628, receiver=0xb8abee0, e=0xb3cf0e8) at kernel/qapplication.cpp:3791
#43 0x00ced82a in KApplication::notify (this=0xbfe86628, receiver=0xb8abee0, event=0xb3cf0e8) at ../../kdeui/kernel/kapplication.cpp:310
#44 0x0050c96b in QCoreApplication::notifyInternal (this=0xbfe86628, receiver=0xb8abee0, event=0xb3cf0e8) at kernel/qcoreapplication.cpp:732
#45 0x0050fbcb in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x9a15760) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#46 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x9a15760) at kernel/qcoreapplication.cpp:1373
#47 0x0050fd8d in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1266
#48 0x0053b69f in QCoreApplication::sendPostedEvents (s=0x9b00da0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#49 postEventSourceDispatch (s=0x9b00da0) at kernel/qeventdispatcher_glib.cpp:276
#50 0x04d635e5 in g_main_dispatch (context=0x9b00d18) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:1960
#51 IA__g_main_context_dispatch (context=0x9b00d18) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2513
#52 0x04d672d8 in g_main_context_iterate (context=0x9b00d18, block=<value optimized out>, dispatch=1, self=0x9b06640) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2591
#53 0x04d674b8 in IA__g_main_context_iteration (context=0x9b00d18, may_block=1) at /build/buildd/glib2.0-2.24.1/glib/gmain.c:2654
#54 0x0053b195 in QEventDispatcherGlib::processEvents (this=0x9afe8f0, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#55 0x050453b5 in QGuiEventDispatcherGlib::processEvents (this=0x9afe8f0, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#56 0x0050b419 in QEventLoop::processEvents (this=0xbfe86594, flags=) at kernel/qeventloop.cpp:149
#57 0x0050b89a in QEventLoop::exec (this=0xbfe86594, flags=...) at kernel/qeventloop.cpp:201
#58 0x0050fe4f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#59 0x04f82ef7 in QApplication::exec () at kernel/qapplication.cpp:3665
#60 0x08050001 in main (argc=1, argv=0xbfe86ea4) at ../../src/main.cpp:237

Reported using DrKonqi
Comment 1 Daniel Faust 2010-08-23 20:21:28 UTC
i compiled amarok with kde 4.5.0 and had some serious problems myself.
unfortunately i have no idea what the problem might be and i won't have time within the next two weeks.
i have some code cleanups on my todo list that would remove the engineNewTrackPlaying function anyway. but they won't make it into amarok 2.3.2.
so either somebody knows what is going on here or we should disable the labels applet for the next release.
Comment 2 Myriam Schweingruber 2010-08-23 23:57:47 UTC
Setting to confirmed. Daniel, please drop by in the developer channel on irc.freenode.net
Comment 3 Rick W. Chen 2010-08-24 02:14:55 UTC
commit 3a51b5e94b5558eaa2946ecf4e9ef4f5d8f3cf45
Author: Rick W. Chen <stuffcorpse@archlinux.us>
Date:   Wed Aug 11 16:58:34 2010 +1200

    Prevent possible labels applet crash on new track playing
    
    BUG: 248538

diff --git a/ChangeLog b/ChangeLog
index 4d2895b..0367044 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -9,6 +9,7 @@ VERSION 2.3.2
     * Use system date/time format for default name when saving user playlists.
 
   BUGFIXES:
+    * Fix possible crash in Labels Applet when playing new track. (BR 248538)
     * Fix cover found dialog closing when download failed or is cancelled.
     * Fix failure when fetching cddb info for audio CDs in localized Amarok.
     * Fix expanding items in collection browser by double-click, in
diff --git a/src/context/applets/labels/LabelsApplet.cpp b/src/context/applets/labels/LabelsApplet.cpp
index 66bbddc..41a698b 100644
--- a/src/context/applets/labels/LabelsApplet.cpp
+++ b/src/context/applets/labels/LabelsApplet.cpp
@@ -184,6 +184,9 @@ LabelsApplet::resultReady( const QString &collectionId, const Meta::LabelList &l
 void
 LabelsApplet::engineNewTrackPlaying( )
 {
+    if( !m_addLabelProxy )
+        return;
+
     DEBUG_BLOCK
     m_currentLabels.clear();
     m_labelInfos.clear();
Comment 4 Daniel Faust 2010-08-24 18:02:37 UTC
Rick, did this really fix the problem for you? Because I also added some pointer checks and it would indeed fix the crash but create a freeze in updateLabels() I guess. That's the point where I gave up (for now).
And btw. I don't have permissions to edit this bug. Where can I get them?
Comment 5 Myriam Schweingruber 2010-08-24 18:38:08 UTC
(In reply to comment #4)
> And btw. I don't have permissions to edit this bug. Where can I get them?

As already stated earlier, please come to the amarok-dev channel on irc.freenode.net to discuss that.
Comment 6 Martin Blumenstingl 2010-08-27 17:24:10 UTC
commit bba8c658bec4482af35ea97b956ef8e75dc0f1e9
Author: Martin Blumenstingl <darklight.xdarklight@googlemail.com>
Date:   Fri Aug 27 17:26:35 2010 +0200

    LabelsApplet: trying to fix another crash.
    Similar solution to the one from BUG 248538.
    
    CCBUG: 248553
    CCBUG: 248538

diff --git a/src/context/applets/labels/LabelsApplet.cpp b/src/context/applets/labels/LabelsApplet.cpp
index 41a698b..a6fade5 100644
--- a/src/context/applets/labels/LabelsApplet.cpp
+++ b/src/context/applets/labels/LabelsApplet.cpp
@@ -229,6 +229,10 @@ LabelsApplet::enginePlaybackEnded( qint64 finalPosition, qint64 trackLength, Pla
     Q_UNUSED( finalPosition )
     Q_UNUSED( trackLength )
     DEBUG_BLOCK
+
+    if( !m_addLabelProxy )
+        return;
+
     m_currentLabels.clear();
     m_labelInfos.clear();
     updateLabels();
Comment 7 Myriam Schweingruber 2010-08-28 17:05:16 UTC
*** Bug 249329 has been marked as a duplicate of this bug. ***